'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactMoleculeField = require('@s-ui/react-molecule-field');

var _reactMoleculeField2 = _interopRequireDefault(_reactMoleculeField);

var _reactFormInput = require('@s-ui/react-form-input');

var _reactFormInput2 = _interopRequireDefault(_reactFormInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getErrorState = function getErrorState(success, error) {
  if (success) return false;
  if (error) return true;
};

var AtomInput = function AtomInput(_ref) {
  var id = _ref.id,
      label = _ref.label,
      successText = _ref.successText,
      errorText = _ref.errorText,
      helpText = _ref.helpText,
      inline = _ref.inline,
      props = (0, _objectWithoutProperties3.default)(_ref, ['id', 'label', 'successText', 'errorText', 'helpText', 'inline']);

  var errorState = getErrorState(successText, errorText);

  return _react2.default.createElement(
    _reactMoleculeField2.default,
    {
      name: id,
      label: label,
      successText: successText,
      errorText: errorText,
      helpText: helpText,
      inline: inline
    },
    _react2.default.createElement(_reactFormInput2.default, (0, _extends3.default)({ id: id, errorState: errorState }, props))
  );
};

AtomInput.displayName = 'AtomInput';

AtomInput.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  /** Text to be displayed as label */
  label: _propTypes2.default.string.isRequired,

  /** used as label for attribute and input element id */
  id: _propTypes2.default.string.isRequired,

  /** Success message to display when success state  */
  successText: _propTypes2.default.string,

  /** Error message to display when error state  */
  errorText: _propTypes2.default.string,

  /** Help Text to display */
  helpText: _propTypes2.default.string,

  /** Boolean to decide if elements should be set inline */
  inline: _propTypes2.default.bool
} : {} : {};

exports.default = AtomInput;